
typedef unsigned char uint8;
typedef unsigned short uint16;
typedef unsigned long long uint64;
typedef uint64 target_addr_t;
typedef signed long long off_t;
class DebugInfoEntry;

struct AttributeValue {
	union {
		target_addr_t		address;
		struct {
			const void*		data;
			off_t			length;
		}					block;
		uint64				constant;
		bool				flag;
		off_t				pointer;
		DebugInfoEntry*		reference;
		const char*			string;
	};

	uint16				attributeForm;
	uint8				attributeClass;
	bool				isSigned;
};

int main(int, char **)
{
	AttributeValue value;
	value.address = 0x1234567890123456;

	return 0;
}
